Returns a list of placements
Returns a list of all placements
description: "Returns a list of all placements"
Returns a list of placements
Returns a list of all placements
For accessing the API a valid JWT token must be passed in all queries in
the 'Authorization' header. The following syntax must be used in the
'Authorization' header.
Bearer xxx.yyy.zzz
The namespace to use for the request
The environment to use for the request
Sort the results by the given fields. The below fields are supported format:
| Field | order |
|---|---|
| adGenId | asc, desc |
| displayName | asc, desc |
adGenId asc, displayName ascThe type of campaign supported by Citrus Ad
Targeting strategy for campaigns
SEARCH_ONLYPossible values: 200Expected response to a valid request
Unauthorized. This request could not be processed due to an invalid token.
Possible example error messages:
- Unauthorized
- Failed to parse token: The token is not in the correct format, or has expired.
- token can't be empty: Missing Authorization Bearer token in header
Forbidden. This request could not be processed due a token that does not have permission to access the requested resource.
Possible example error messages:
- Forbidden
Too many requests. This request could not be processed as the rate limit has been exceeded.
Possible example error messages:
- Too many requests
Generic Error. The request could not be processed due to an unknown error.
GET /v1/placements?namespace=text&environment=text HTTP/1.1
Host: api.citrusad.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"links": {
"next": "text"
},
"placements": [
{
"adGenId": "homepage-search",
"archived": false,
"blockedFilters": [
"text"
],
"campaignTypes": [
"BANNER"
],
"catalogIds": [
"b63d2b1f-7d66-45da-aa87-69cd60b4b91a"
],
"customTooltipText": "text",
"displayName": "Search",
"id": "fb7c7394-1839-4302-ba1c-5feb7c256957",
"namespace": "app",
"targeting": {
"campaignTarget": "SEARCH_ONLY",
"categoryConfig": {
"customTargetedCategoriesAllowed": true
},
"customTargetedLocationsAllowed": true,
"searchConfig": {
"customSearchTermAllowed": false,
"searchTermTypeLabel": "label",
"suggestedSearchTermEnabled": true,
"suggestedSearchTermType": "ORGANIC"
}
}
}
]
}
